Modify

Opened 4 years ago

Closed 4 years ago

Last modified 2 years ago

#12584 closed defect (fixed)

OAuth does not work with Java Web Start on Windows

Reported by: jfd553 Owned by: team
Priority: normal Milestone: 16.04
Component: Core Version:
Keywords: template_report oauth webstart jnlp windows Cc: simon04, wiktorn

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. edit something
  2. upload the data
  3. enter username and password (mode fully automatic)!

What is the expected result?

Create a changeset and upload the data

What happens instead?

Errors messages (see attached file)


Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-28 14:07:49 +0100 (Sun, 28 Feb 2016)
Build-Date:2016-02-28 22:44:23
Revision:9900
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9900 en) Windows 7 64-Bit
Memory Usage: 134 MB / 247 MB (59 MB allocated, but free)
Java version: 1.8.0_31-b13, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files (x86)\Java\jre1.8.0_31\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Users\Daniel\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\56\1ee8cfb8-307b9a02, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=50126, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAC1Eam5scC5hcHBsaWNhdGlvbi5ocmVmPWh0dHBzOi8vam9zbS5vcGVuc3RyZWV0bWFwLmRlL2Rvd25sb2FkL2pvc20uam5scAA=]

Plugins:
- PicLayer (31895)
- imageryadjust (31772)
- reverter (32005)
- turnrestrictions (31895)

Attachments (1)

OAuthError.png (52.6 KB) - added by jfd553 4 years ago.

Download all attachments as: .zip

Change History (44)

Changed 4 years ago by jfd553

Attachment: OAuthError.png added

comment:1 Changed 4 years ago by Don-vip

Cc: simon04 added
Description: modified (diff)
Keywords: oauth added

comment:2 Changed 4 years ago by simon04

Keywords: webstart added

Reproducible only when using JOSM via webstart (jnlp), not when launching a downloaded jar version.

comment:3 Changed 4 years ago by simon04

This also occurs when obtaining an OAuth token via preferences. Has OAuth ever been tested/used via webstart!?

Status report shows:

Last errors/warnings:
- E: org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',

It seems that org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationClient#extractOsmSession does not extract the session ID

Intercepting https://www.openstreetmap.org/login?cookie_test=true using mitmproxy reveals that a Set-Cookie header is in fact returned.

Is this javabug:8146450?

comment:4 Changed 4 years ago by simon04

Not reproducible under Linux (test from comment:3 has been done on Windows 10):

$ javaws --version
icedtea-web 1.6.2

$ java -version
openjdk version "1.8.0_74"
OpenJDK Runtime Environment (build 1.8.0_74-b02)
OpenJDK 64-Bit Server VM (build 25.74-b02, mixed mode)

comment:5 Changed 4 years ago by simon04

In 9904/josm:

see #12584 - Provide some OAuth debug output

comment:6 Changed 4 years ago by simon04

Milestone: 16.03
Summary: Oauth does not work with current (9900) versionOAuth does not work with Java Web Start on Windows

A workaround is to use the semiautomatic mode.

comment:7 Changed 4 years ago by jfd553

"A workaround is to use the semiautomatic mode" ... I tried it yesterday
Selecting semi-automatic mode I can click on "Retrieve Request Token"
I see the app requesting a token, but nothing happens after that (stays on step 1/3)

comment:8 Changed 4 years ago by jfd553

Seems latest version has changes my authentication preferences from Basic to OAuth. Since Basic authentication works, I will use it as a workaround.

comment:9 Changed 4 years ago by simon04

The change from Basic to OAuth is intended, see #7612.

Semiautomatic mode works in my test setting

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-28 14:07:49 +0100 (Sun, 28 Feb 2016)
Build-Date:2016-02-28 22:44:23
Revision:9900
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9900 de) Windows 10 64-Bit
Memory Usage: 350 MB / 910 MB (231 MB allocated, but free)
Java version: 1.8.0_74-b02, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

You might want to attempt an update of your Java from 1.8.0_31 to 1.8.0_74.

And: basic authentication should work in any case.

comment:10 Changed 4 years ago by jfd553

... update Java from 1.8.0_31 to 1.8.0_74 ...
Confirmed, it works

comment:11 in reply to:  3 Changed 4 years ago by Don-vip

Cc: wiktorn added

Replying to simon04:

Intercepting https://www.openstreetmap.org/login?cookie_test=true using mitmproxy reveals that a Set-Cookie header is in fact returned.

Is this javabug:8146450?

yes, looks related to #12235. Wiktor, what do you think?

comment:12 in reply to:  10 ; Changed 4 years ago by Don-vip

Replying to jfd553:

... update Java from 1.8.0_31 to 1.8.0_74 ...
Confirmed, it works

if it's solved in a java8 update I can't find which one. Here's the list of fixes in 8u40, 8u45, 8u51, 8u60, 8u66, 8u72:

javabug:8023094 deploy webstart web start short cut icon disappear when launch disconnected
javabug:8027019 deploy webstart Sometimes, codebase property is not written in .lap file in cache before loading app
javabug:8029579 deploy webstart "Application Error" dialog will show up after click "OK" on "Application Blocked" dialog
javabug:8046501 deploy webstart DRS - cert based run rule doesn't work when running offline
javabug:8051890 deploy webstart Java Web Start raises "Unable to create a shortcut for <APP_NAME>" dialog
javabug:8055179 deploy webstart Security Dialog for unsigned jnlp still different in jnlp Application case.
javabug:8064358 deploy webstart JnlpxArgs NullPointerException
javabug:8066447 deploy webstart 8u40: URL.openConnection fails with exception if "use browser settings" is set and browser itself uses system settings

javabug:8068313 deploy Parsing JNLP file should not cause download of extensions.
javabug:8061648 deploy webstart JavaWS fails with proxy autoconfig due to missing "dnsResolve"

javabug:8071897 deploy webstart JRE 8U25 and 8u31 b32 cannot launch Java Web Start with proxy pac but works fine for 7u67
javabug:8078815 deploy webstart Launching of jnlp app fails with JNLPException

javabug:8042632 deploy webstart Application with Signed JNLP cannot pass accented characters in <argument>
javabug:8051030 deploy webstart Web Start applet process fails to exit
javabug:8066985 deploy webstart Java Webstart downloading packed files can result in Timezone set to UTC
javabug:8067172 deploy webstart Xcode javaws Project to Debug Native Code
javabug:8068187 deploy webstart Fix Xcode project
javabug:8068531 deploy webstart Netbeans javaws Project to Debug Native Code
javabug:8068939 deploy webstart Visual Studio javaws Project to Debug Native Code
javabug:8072003 deploy webstart NPE (instead of proper error dialog) thrown when some jnlp files have no resources
javabug:8072999 deploy webstart DRS certificate based rule does not match with Java WS Application compressed by pack200
javabug:8077285 deploy webstart jnlp spec version 8.20 is not supported
javabug:8077649 deploy webstart jnlp "codebase" attribute has been made mandatory
javabug:8077925 deploy webstart Jnlp fails to load with CouldNotLoadArgumentException after JDK-8075179
javabug:8078893 deploy webstart cert based run rule doesn't work when running offline
javabug:8080607 deploy webstart Web Start does not honor height / width % values
javabug:8080785 deploy webstart remove dead code to donwload JavaFX on demand.

javabug:7156268 deploy webstart app is stuck when launching with javaagent if there is no jre info in deployment.properties
javabug:8055464 deploy webstart Add a URL scheme handler to reliably launch .jnlp files - java part
javabug:8056013 deploy webstart Web Start looks in currently directory for all classes prior to jars - slow
javabug:8077380 deploy webstart JNLPSigning exception when signed jnlp is launched from local tomcat server
javabug:8081846 deploy webstart Add a URL scheme handler to reliably launch .jnlp files - Windows registration part
javabug:8135115 deploy webstart DRS1.3: App is not blocked when there is a invalid attribute in jnlp-checksum
javabug:8135227 deploy webstart DRS 1.3 enhancements doesn't work as expected when load no href jnlp by "javaws <local_path_of_jnlp_file>"
javabug:8136906 deploy webstart Extreme Application Startup Time due to frequent requests for the jnlp-6.0.dtd
javabug:8139323 deploy webstart JNLPSignedResourcesHelperTest shows regression caused by JDK-8129600
javabug:8140264 deploy webstart create junit test for JDK-8136906
javabug:8140740 deploy webstart Test jnlp_file/applicationDesc/index.html\#args is failing

comment:13 Changed 4 years ago by Don-vip

Keywords: jnlp windows added

see also #9181 / #12582 and #12580

for the last two ones recent versions of Java are used (8u73 / 8u74)

comment:14 in reply to:  12 Changed 4 years ago by jfd553

Replying to Don-vip:
Updated to java 8u73

Replying to jfd553:

... update Java from 1.8.0_31 to 1.8.0_74 ...
Confirmed, it works

if it's solved in a java8 update I can't find which one. Here's the list of fixes in 8u40, 8u45, 8u51, 8u60, 8u66, 8u72:

javabug:8023094 deploy webstart web start short cut icon disappear when launch disconnected
javabug:8027019 deploy webstart Sometimes, codebase property is not written in .lap file in cache before loading app
javabug:8029579 deploy webstart "Application Error" dialog will show up after click "OK" on "Application Blocked" dialog
javabug:8046501 deploy webstart DRS - cert based run rule doesn't work when running offline
javabug:8051890 deploy webstart Java Web Start raises "Unable to create a shortcut for <APP_NAME>" dialog
javabug:8055179 deploy webstart Security Dialog for unsigned jnlp still different in jnlp Application case.
javabug:8064358 deploy webstart JnlpxArgs NullPointerException
javabug:8066447 deploy webstart 8u40: URL.openConnection fails with exception if "use browser settings" is set and browser itself uses system settings

javabug:8068313 deploy Parsing JNLP file should not cause download of extensions.
javabug:8061648 deploy webstart JavaWS fails with proxy autoconfig due to missing "dnsResolve"

javabug:8071897 deploy webstart JRE 8U25 and 8u31 b32 cannot launch Java Web Start with proxy pac but works fine for 7u67
javabug:8078815 deploy webstart Launching of jnlp app fails with JNLPException

javabug:8042632 deploy webstart Application with Signed JNLP cannot pass accented characters in <argument>
javabug:8051030 deploy webstart Web Start applet process fails to exit
javabug:8066985 deploy webstart Java Webstart downloading packed files can result in Timezone set to UTC
javabug:8067172 deploy webstart Xcode javaws Project to Debug Native Code
javabug:8068187 deploy webstart Fix Xcode project
javabug:8068531 deploy webstart Netbeans javaws Project to Debug Native Code
javabug:8068939 deploy webstart Visual Studio javaws Project to Debug Native Code
javabug:8072003 deploy webstart NPE (instead of proper error dialog) thrown when some jnlp files have no resources
javabug:8072999 deploy webstart DRS certificate based rule does not match with Java WS Application compressed by pack200
javabug:8077285 deploy webstart jnlp spec version 8.20 is not supported
javabug:8077649 deploy webstart jnlp "codebase" attribute has been made mandatory
javabug:8077925 deploy webstart Jnlp fails to load with CouldNotLoadArgumentException after JDK-8075179
javabug:8078893 deploy webstart cert based run rule doesn't work when running offline
javabug:8080607 deploy webstart Web Start does not honor height / width % values
javabug:8080785 deploy webstart remove dead code to donwload JavaFX on demand.

javabug:7156268 deploy webstart app is stuck when launching with javaagent if there is no jre info in deployment.properties
javabug:8055464 deploy webstart Add a URL scheme handler to reliably launch .jnlp files - java part
javabug:8056013 deploy webstart Web Start looks in currently directory for all classes prior to jars - slow
javabug:8077380 deploy webstart JNLPSigning exception when signed jnlp is launched from local tomcat server
javabug:8081846 deploy webstart Add a URL scheme handler to reliably launch .jnlp files - Windows registration part
javabug:8135115 deploy webstart DRS1.3: App is not blocked when there is a invalid attribute in jnlp-checksum
javabug:8135227 deploy webstart DRS 1.3 enhancements doesn't work as expected when load no href jnlp by "javaws <local_path_of_jnlp_file>"
javabug:8136906 deploy webstart Extreme Application Startup Time due to frequent requests for the jnlp-6.0.dtd
javabug:8139323 deploy webstart JNLPSignedResourcesHelperTest shows regression caused by JDK-8129600
javabug:8140264 deploy webstart create junit test for JDK-8136906
javabug:8140740 deploy webstart Test jnlp_file/applicationDesc/index.html\#args is failing

comment:15 Changed 4 years ago by Stalfur

Had same problem.

Updating Java from _31 to _74 fixed the semi-automatic login but the automatic one still failes.

comment:16 Changed 4 years ago by wiktorn

I've just tested with latest Java 9:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-29 23:15:04 +0100 (Mon, 29 Feb 2016)
Build-Date:2016-03-01 02:34:33
Revision:9903
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9903 en) Windows 10 64-Bit
Memory Usage: 576 MB / 3068 MB (376 MB allocated, but free)
Java version: 9-ea+105-2016-02-11-003336.javare.4433.nc, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

And semi-automatic login works, but automatic login fails with:

ERROR: org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',
org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',
	at org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationClient.fetchOsmWebsiteSessionId(OsmOAuthAuthorizationClient.java:263)
	at org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationClient.authorise(OsmOAuthAuthorizationClient.java:445)
	at org.openstreetmap.josm.gui.oauth.FullyAutomaticAuthorizationUI$FullyAutomaticAuthorisationTask.realRun(FullyAutomaticAuthorizationUI.java:525)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:93)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:161)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1158)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:632)
	at java.lang.Thread.run(Thread.java:804)

So this indicates, that it's not ​javabug:8146450.

Though, on this version - it also occurs only on Java Web Start version.

As it might be quite wise not to cache Set-Cookie values, I think, that it's wrong, that we use any caches when doing OAuth authorization. Maybe the solution to the problem is just following change:

  • src/org/openstreetmap/josm/gui/oauth/OsmOAuthAuthorizationClient.java

    ### Eclipse Workspace Patch 1.0
    #P JOSM
    diff --git src/org/openstreetmap/josm/gui/oauth/OsmOAuthAuthorizationClient.java src/org/openstreetmap/josm/gui/oauth/OsmOAuthAuthorizationClient.java
    index 590fbf1..fc7565e 100644
     
    256256            final URL url = new URL(oauthProviderParameters.getOsmLoginUrl() + "?cookie_test=true");
    257257            synchronized (this) {
    258258                connection = HttpClient.create(url);
     259                connection.useCache(false);
    259260                connection.connect();
    260261            }
    261262            SessionId sessionId = extractOsmSession();
     
    286287            synchronized (this) {
    287288                connection = HttpClient.create(url)
    288289                        .setHeader("Cookie", "_osm_session=" + sessionId.id + "; _osm_username=" + sessionId.userName);
     290                connection.useCache(false);
    289291                connection.connect();
    290292            }
    291293            sessionId.token = extractToken();

The question remains, whether authenticateOsmSession(...) and logoutOsmSession(...) needs also do disallow use of caches.

comment:17 Changed 4 years ago by simon04

With the added output from r9904, I get:

Last errors/warnings:
- W: No suitable Set-Cookie in response header found! []
- E: org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',

So, the issue is related to missing HTTP response headers.

+1 for disabling the cache, also for authenticateOsmSession, logoutOsmSession.

comment:18 Changed 4 years ago by wiktorn

I've checked the headers for login page and it has proper Cache-Control headers, so there might be some other Java Web Start bug lurking here

comment:19 Changed 4 years ago by anonymous

9908 works

comment:20 Changed 4 years ago by goodidea

I have the same problem with Java Web Start of Build 9900 on Mac OS X 10.9.5 – then I tried with a downloaded josm-custom-macosx build 9912, and this worked (authentification process with setting "automatic" worked at once).

So at least the title of this ticket should be changed ("on Windows" seems to be unnecessary or not sufficient).

And I have Java 8-Update 73. My Java Control Panel says, it is the recommended (= latest?) version available.

comment:21 in reply to:  19 Changed 4 years ago by wiktorn

Replying to anonymous:

9908 works

9908 still fails on my computer.

INFO: GET https://www.openstreetmap.org/oauth/request_token -> 200 (124 B)
INFO: GET https://www.openstreetmap.org/login?cookie_test=true -> 200 (4.71 kB)
WARNING: No suitable Set-Cookie in response header found! []
ERROR: org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',
org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',

comment:22 Changed 4 years ago by wiktorn

In 9913/josm:

Disable cache for OAuth requests

See: #12584

comment:23 Changed 4 years ago by simon04

r9924 still fails:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-03-04 21:52:59 +0100 (Fri, 04 Mar 2016)
Build-Date:2016-03-04 22:51:10
Revision:9924
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9924 en) Windows 10 64-Bit
Memory Usage: 294 MB / 910 MB (135 MB allocated, but free)
Java version: 1.8.0_74-b02, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_74\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Users\simon\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\31\583aa85f-5054935c, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=49896, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm-latest.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAC1Eam5scC5hcHBsaWNhdGlvbi5ocmVmPWh0dHBzOi8vam9zbS5vcGVuc3RyZWV0bWFwLmRlL2Rvd25sb2FkL2pvc20tbGF0ZXN0LmpubHAA]


Last errors/warnings:
- W: No suitable Set-Cookie in response header found! []
- E: org.openstreetmap.josm.gui.oauth.OsmOAuthAuthorizationException: OSM website did not return a session cookie in response to 'https://www.openstreetmap.org/login?cookie_test=true',

comment:24 Changed 4 years ago by bastiK

A couple of users complaining on the German forum.

comment:25 Changed 4 years ago by simon04

In 9934/josm:

see #12584 - Add failing unit test

comment:26 Changed 4 years ago by simon04

When running JOSM via Web Start, for the ?cookie_test=true, it seems that

  • either Cookie is maintained by the JVM and transmitted to the OSM server. Therefore, no Set-Cookie header is sent back.
  • or the Set-Cookie is filtered out from the response headers, see sun.net.www.protocol.http.HttpURLConnection#filterHeaderField

Further readings:

comment:27 Changed 4 years ago by simon04

In 9935/josm:

see #12584 - Attempt to obtain the session cookie via CookieManager

comment:28 Changed 4 years ago by simon04

@Don-vip/bastiK: Would it be possible to update josm-latest to r9935 as it would allow testing the possible fix? Setting up the whole infrastructure for testing Web Start locally seems a bit cumbersome.

comment:29 Changed 4 years ago by bastiK

Done.

comment:30 Changed 4 years ago by simon04

Thank you!

Jay, OAuth fully automated is working now for me:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-03-05 21:43:58 +0100 (Sat, 05 Mar 2016)
Build-Date:2016-03-05 20:45:13
Revision:9936
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9936 en) Windows 10 64-Bit
Memory Usage: 347 MB / 910 MB (219 MB allocated, but free)
Java version: 1.8.0_74-b02, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.security.manager, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.splashport=51006, -Djnlpx.home=<java.home>\bin, -Djnlpx.remove=false, -Djnlpx.offline=false, -Djnlpx.relaunch=true, -Djnlpx.session.data=C:\Users\simon\AppData\Local\Temp\session4217178870472081075, -Djnlpx.heapsize=NULL,NULL, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_74\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.origFilenameArg=https://josm.openstreetmap.de/download/josm-latest.jnlp]

comment:31 Changed 4 years ago by simon04

Can someone please confirm the fix and close the issue?

comment:32 Changed 4 years ago by Don-vip

Ticket #12604 has been marked as a duplicate of this ticket.

comment:33 Changed 4 years ago by wiktorn

Resolution: fixed
Status: newclosed

Works here too.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-03-06 23:37:30 +0100 (Sun, 06 Mar 2016)
Build-Date:2016-03-07 02:32:06
Revision:9944
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9944 en) Windows 10 64-Bit
Memory Usage: 231 MB / 3068 MB (89 MB allocated, but free)
Java version: 9-ea+105-2016-02-11-003336.javare.4433.nc, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

comment:34 Changed 4 years ago by Klumbumbus

There are a lot of users, who have problems with OAuth since update to 9900 (see talk-de, german forum, josm tickets). users which use josm-tested.jnlp (which is the recommended way to use josm) are forced to do some configuration steps (switch to semiautomatic or basic authentication), which seems to be a problem for a lot of users. I think a hotfix would be appropriate. What do you think?

comment:35 Changed 4 years ago by simon04

Yes, an intermediate release sounds reasonable given that our recommended way of using JOSM (Web Start) raises an incomprehensible error dialog.

I'll add a note to wiki:StartupPage about OAuth and howto deal with problems

@team: What do you think?

comment:36 Changed 4 years ago by Don-vip

fine for me, we only have fixed some bugs and improved unit tests since the last release. Simon, can you please do the i18n tomorrow? I have fixed the problem with Ukrainian this morning.

comment:37 in reply to:  35 Changed 4 years ago by wiktorn

Replying to simon04:

@team: What do you think?

+1 from me

comment:38 Changed 4 years ago by simon04

I18n update done in r9959. For a few last-minute fixes, I perform manual downloads from Launchpad: click the language → click download → select po format → wait for 10 minutes → check mail → click download link → move download josm_josm-XY.po to XY.po → repeat for 4 other languages. Usability like in the internet stone age!

From my point of view, we are ready for a release :)

comment:39 Changed 4 years ago by simon04

Before the release, I'd try to clarify #12602 and depending on the results change wiki:TestedVersion afterwards …

comment:40 Changed 4 years ago by Don-vip

#12599 is a major issue also I'd like to see it included.

comment:41 Changed 4 years ago by Klumbumbus

The closed tickets between 9900 and 9963 should be changed to milestone 16.02!?
https://josm.openstreetmap.de/query?status=closed&group=resolution&milestone=16.03

comment:42 Changed 4 years ago by Don-vip

Milestone: 16.0316.04

Milestone renamed

comment:43 Changed 2 years ago by Hb---

Ticket #12582 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.